
QGIS Application - Bug report #4272

Data browser does not refresh without restarting QGIS

2011-09-08 01:22 PM - andskog -

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14212

Description

When exporting a dataset from QGIS, the data browser doesn't refresh. You have to quit and launch QGIS to see the new dataset in the

browser.

History

#1 - 2011-09-08 05:44 PM - Nathan Woodrow

+1 It might even be good to wire up a QFileSystemWatcher on the top directory so that there is no need to refresh even.

#2 - 2011-09-30 04:56 AM - Anita Graser

- Subject changed from Data browser, no refresh to Data browser does not refresh without restarting QGIS

#3 - 2011-10-11 11:30 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Added in commit:de9fb2ce
